Commit 82077874 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Added plotly to setup requirements.

parent 42bbea65
Pipeline #407 failed with stages
in 34 seconds
......@@ -13,7 +13,8 @@ with open('HISTORY.rst') as history_file:
history = history_file.read()
requirements = [
'numpy', 'gdal', 'shapely', 'scikit-image', 'matplotlib', 'geopandas', 'spectral', 'pykrige','geoarray','py_tools_ds'
'numpy', 'gdal', 'shapely', 'scikit-image', 'matplotlib', 'geopandas', 'spectral', 'pykrige','geoarray',
'py_tools_ds', 'ploty'
# 'pyfftw', # conda install --yes -c conda-forge pyfftw=0.10.4 ; \
# 'basemap', # conda install --yes -c conda-forge basemap; \
]
......
......@@ -18,7 +18,7 @@ RUN /bin/bash -i -c "source /root/anaconda3/bin/activate ; \
conda install --yes -c conda-forge 'icu=58.*' lxml ; \
conda install --yes -c conda-forge glymur pygrib rasterio pyproj cachetools basemap; \
pip install shapely geopandas dicttoxml jsmin cerberus pyprind pint iso8601 tqdm mpld3 sphinx-argparse spectral \
pykrige geoarray py_tools_ds" # must include all the requirements needed to build the docs!
pykrige geoarray py_tools_ds ploty" # must include all the requirements needed to build the docs!
# copy some needed stuff to /root
#COPY *.pkl /root/ # EXAMPLE
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment